package sun.util.locale.provider;

import java.lang.reflect.InvocationTargetException;
import java.util.spi.LocaleServiceProvider;

public class HostLocaleProviderAdapter extends AuxLocaleProviderAdapter
{
    public HostLocaleProviderAdapter() {
    }
    
    @Override
    public LocaleProviderAdapter.Type getAdapterType() {
        return LocaleProviderAdapter.Type.HOST;
    }
    
    @Override
    protected <P extends LocaleServiceProvider> P findInstalledProvider(Class<P> clazz) {
        try {
            return (LocaleServiceProvider)HostLocaleProviderAdapterImpl.class.getMethod("get" + clazz.getSimpleName(), (Class<?>[])null).invoke(null, (Object[])null);
        }
        catch (NoSuchMethodException | IllegalAccessException | IllegalArgumentException | InvocationTargetException ex) {
            LocaleServiceProviderPool.config(HostLocaleProviderAdapter.class, ex.toString());
            return null;
        }
    }
}
